<?xml version="1.0"?>

<cfsInfo status="finished" infoWriteCounter="5" infoRejectCounter="19">
  <summary>
    <timer wall-clock="0.762s" wall="0.762" cpu="0.749958" calls="1"/>
  </summary>
  <header id="">
    <environment started="2021-Aug-30 14:36:45" host="Fabians-Flunder.fritz.box"/>
    <progOpts problem="hessian_single" parameterFile="/Users/fwein/code/master/Testsuite/TESTSUIT/Optimization/Optimizer/mma/hessian_single/hessian_single.xml" schemaPath="/Users/fwein/code/master/share/xml" meshFile="" logConfFile="" detailed="no" openmp="compiled without">
      <cfs version="21.03" name="Frohes Fensterln" build="Debug" git_commit="d264b4da73c3169360ee64d25e97d3cac3936c61" git_branch="(HEAD detached from d3314496d)" exe="cfs_master"/>
    </progOpts>
    <domain nx="8" ny="8" nz="1">
      <grids>
        <timer wall-clock="0.034s" wall="0.034" cpu="0.032654" calls="1"/>
        <grid gridId="default" dimensions="2" elements="64" nodes="81"/>
      </grids>
      <coordinateSystems>
        <system name="default"/>
      </coordinateSystems>
      <regions>
        <region name="mech" id="0" type="volume" regular="yes" hom="yes" nodes="81" elems="64" isQuadratic="no"/>
      </regions>
      <namedNodes>
        <nodes name="south" count="9"/>
        <nodes name="north" count="9"/>
        <nodes name="west" count="9"/>
        <nodes name="east" count="9"/>
        <nodes name="south_west" count="1" coord="(0,0)"/>
        <nodes name="south_east" count="1" coord="(1,0)"/>
        <nodes name="north_west" count="1" coord="(0,1)"/>
        <nodes name="north_east" count="1" coord="(1,1)"/>
        <nodes name="load" count="1" coord="(1,0)"/>
      </namedNodes>
      <namedElements/>
      <globalMathParser dt="0" f="0" nx="8" ny="8" nz="1" step="0" t="0" t0="0"/>
    </domain>
    <results>
      <timer wall-clock="0.031s" wall="0.031" cpu="0.034999" calls="63"/>
    </results>
  </header>
  <calculation>
    <process/>
  </calculation>
  <sequenceStep sequence="1">
    <static>
      <init_static>
        <timer wall-clock="0.129s" wall="0.129" cpu="0.128536" calls="1"/>
      </init_static>
    </static>
    <PDE>
      <mechanic>
        <header>
          <region name="mech" damping="none"/>
          <integrators>
            <matrixBiLinearForms>
              <bilinearForm integrator="LinElastInt">
                <coef value="CoefFunctionOpt"/>
              </bilinearForm>
              <bilinearForm integrator="LinElastInt" type="BDBInt" complex="no" BOp="StrainOperator2D" region="mech">
                <row pde="mechanic" functionId="0" result="mechDisplacement"/>
                <column pde="mechanic" functionId="0" result="mechDisplacement"/>
                <destination feMatrix="stiffness" feMatrixMapped="system" feSecondMatrix="no_fe_matrix" feSecondMatrixFac="0.0  "/>
                <attributes entryType="RealPart" counterPart="no" symmetric="yes" solutionDependent="no" updatedGeo="no"/>
              </bilinearForm>
            </matrixBiLinearForms>
            <rhsLinearForms>
              <linearForm integrator="NodalForceInt" region="">
                <entities name="load" size="1" region="no_region"/>
                <row pde="mechanic" result="mechDisplacement" solutionDependent="no"/>
              </linearForm>
            </rhsLinearForms>
          </integrators>
        </header>
        <material name="99lines">
          <regionList>
            <region name="mech"/>
          </regionList>
          <property name="Mechanic_Stiffness_Tensor">
            <tensor dim1="6" dim2="6">
              <real>
                 1.346154e+00  5.769231e-01  5.769231e-01  0.000000e+00  0.000000e+00  0.000000e+00
                 5.769231e-01  1.346154e+00  5.769231e-01  0.000000e+00  0.000000e+00  0.000000e+00
                 5.769231e-01  5.769231e-01  1.346154e+00  0.000000e+00  0.000000e+00  0.000000e+00
                 0.000000e+00  0.000000e+00  0.000000e+00  3.846154e-01  0.000000e+00  0.000000e+00
                 0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  3.846154e-01  0.000000e+00
                 0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  3.846154e-01
              </real>
            </tensor>
          </property>
          <property name="Mechanic_Elasticity_Modulus" value="(1,0)"/>
          <property name="Mechanic_Poisson_Ratio" value="(0.3,0)"/>
          <property name="Density" value="(1e-08,0)"/>
          <property name="Rayleigh_Frequency" value="1000"/>
          <property name="Loss_TangensDelta" value="0.029999999999999999"/>
        </material>
        <feSpaces>
          <mechDisplacement>
            <h1Nodal>
              <regionList>
                <mech/>
                <default order="1"/>
              </regionList>
            </h1Nodal>
          </mechDisplacement>
        </feSpaces>
        <feFunctions>
          <mechDisplacement/>
          <homDirichletBC>
            <nodeList name="west" dofs="x y"/>
          </homDirichletBC>
          <inhomDirichletBC/>
        </feFunctions>
      </mechanic>
    </PDE>
    <OLAS>
      <mechanic>
        <setup idbcHandling="elimination" staticCondensation="no">
          <feFunctions totalNumEqns="144" totalNumFreeEqns="144" totalNumDirichlet="0">
            <function id="0" name="mechDisplacement" numEqns="144" lastFreeEqn="144" numDirichlet="0">
              <usedInBlocks>
                <block id="0"/>
              </usedInBlocks>
            </function>
          </feFunctions>
          <sbmBlocks>
            <block id="0" size="144" lastFreeIndex="144"/>
          </sbmBlocks>
        </setup>
        <solver>
          <directLDL>
            <summary>
              <setup>
                <timer label="setup_directLDL" wall-clock="0s" wall="0" cpu="0.001983" calls="9"/>
              </setup>
              <solve>
                <timer label="solve_directLDL" wall-clock="0s" wall="0" cpu="0.002221" calls="9"/>
              </solve>
            </summary>
          </directLDL>
        </solver>
        <precond>
          <idPrecond>
            <summary>
              <precond_Id_setup>
                <timer wall-clock="0s" wall="0" cpu="3e-05" calls="9"/>
              </precond_Id_setup>
              <precond_Id_run>
                <timer wall-clock="0s" wall="0" cpu="0" calls="0"/>
              </precond_Id_run>
            </summary>
          </idPrecond>
        </precond>
        <process>
          <solver solutionIsOkay="yes"/>
        </process>
      </mechanic>
      <graph_setup>
        <timer wall-clock="0.019s" wall="0.019" cpu="0.019566" calls="1" sub="true"/>
      </graph_setup>
      <reorder_Metis>
        <timer wall-clock="0s" wall="0" cpu="0.000374" calls="1" sub="true"/>
      </reorder_Metis>
    </OLAS>
    <analysis>
      <summary>
        <assemble>
          <timer wall-clock="0.091s" wall="0.091" cpu="0.094746" calls="18"/>
        </assemble>
      </summary>
    </analysis>
  </sequenceStep>
  <optimization haltopt_file="/Users/fwein/code/master/Testsuite/TESTSUIT/Optimization/Optimizer/mma/hessian_single/HALTOPT">
    <header>
      <objective type="compliance" name="compliance" linear="no" access="physical" task="minimize"/>
      <constraints>
        <constraint type="volume" name="volume" linear="yes" access="filtered" bound_value="0.5" bound="upperBound" design="default"/>
      </constraints>
      <designSpace pamping="0" regular="yes">
        <setup_design>
          <timer wall-clock="0s" wall="0" cpu="0.001259" calls="2"/>
        </setup_design>
        <filters use_mat_filt="yes">
          <filter type="maxEdge" value="1.3" contribution="linear" design="density" elems="64" avg_radius="0.1625" avg_neighbors="3.5"/>
          <timer wall-clock="0.009s" wall="0.009" cpu="0.009505" calls="1"/>
        </filters>
        <transferFunctions>
          <transferFunction type="simp" application="mech" design="density" param="3"/>
        </transferFunctions>
        <designVariables opt_vars="64" field_elems="64" field_fe_elemes="64">
          <design type="density" upperBound="1" lowerBound="0.001" physicalLowerBound="1e-09"/>
        </designVariables>
        <localElementCache org="1" shadow="0" mat_deriv="0" megabytes="0"/>
        <regions>
          <region name="mech" elements="64" bimaterial="-"/>
        </regions>
      </designSpace>
      <sequence step="1" complex="no" harmonic="no" eigenvalue="no" bloch="no" material="mechanic" homogenization="no"/>
      <excitations>
        <excitation index="0" meta_idx="0" label="0" weight="1" normalized_weight="1"/>
      </excitations>
    </header>
    <commit mode="forward" stride="1"/>
    <optimizer>
      <summary>
        <mma>
          <timer wall-clock="0s" wall="0" cpu="0.007003" calls="47"/>
        </mma>
        <mma_generate_sub_prob>
          <timer wall-clock="0s" wall="0" cpu="0.00078" calls="8" sub="true"/>
        </mma_generate_sub_prob>
        <mma_solve_sub_prob>
          <timer wall-clock="0s" wall="0" cpu="0.00451" calls="8" sub="true"/>
        </mma_solve_sub_prob>
      </summary>
      <mma globalConvergent="no" kappa="no">
        <asymptotes update="svanberg" initial_delta="1" inc="1.4286" dec="0.7"/>
        <subsolver type="hessian" tol="0.0001" maxit="20"/>
      </mma>
    </optimizer>
    <summary>
      <eval_objective>
        <timer wall-clock="0.019s" wall="0.019" cpu="0.037679" calls="36"/>
      </eval_objective>
      <eval_constraints>
        <timer wall-clock="0.009s" wall="0.009" cpu="0.011724" calls="9"/>
      </eval_constraints>
      <eval_grad_objective>
        <timer wall-clock="0.065s" wall="0.065" cpu="0.067196" calls="9"/>
      </eval_grad_objective>
      <eval_grad_constraints>
        <timer wall-clock="0.04s" wall="0.04" cpu="0.044698" calls="9"/>
      </eval_grad_constraints>
      <break converged="yes"/>
    </summary>
    <process>
      <iteration number="0" duration="0.415" compliance="90.6259333288021" volume="0.5" sub_prb_itr="0" dual_eval="0" L="0.000000 ... 0.000000" U="0.000000 ... 0.000000" lamba_volume="15"/>
      <iteration number="1" duration="0.044" compliance="62.9803186915011" volume="0.45468995085921" sub_prb_itr="4" dual_eval="0" L="-0.499000 ... -0.499000" U="1.499000 ... 1.499000" lamba_volume="421.57"/>
      <iteration number="2" duration="0.04" compliance="40.4989247430089" volume="0.478894113197849" sub_prb_itr="8" dual_eval="0" L="-0.998000 ... 0.001000" U="1.000000 ... 1.999000" lamba_volume="307.47"/>
      <iteration number="3" duration="0.042" compliance="31.9331048147265" volume="0.491044836256125" sub_prb_itr="13" dual_eval="0" L="-1.426143 ... 0.059352" U="1.000000 ... 2.409251" lamba_volume="184.1"/>
      <iteration number="4" duration="0.042" compliance="28.4714566085366" volume="0.494892649233472" sub_prb_itr="16" dual_eval="0" L="-2.037776 ... 0.337684" U="0.672342 ... 3.038776" lamba_volume="144.44"/>
      <iteration number="5" duration="0.043" compliance="26.4915724717615" volume="0.496717855057718" sub_prb_itr="19" dual_eval="0" L="-2.911536 ... 0.153223" U="0.718741 ... 3.912536" lamba_volume="122.92"/>
      <iteration number="6" duration="0.04" compliance="25.3232319006315" volume="0.497090283105889" sub_prb_itr="22" dual_eval="0" L="-4.159766 ... 0.256004" U="0.735724 ... 5.160766" lamba_volume="100.35"/>
      <iteration number="7" duration="0.045" compliance="24.612729083538" volume="0.49816013236203" sub_prb_itr="25" dual_eval="0" L="-5.942952 ... 0.166352" U="0.738457 ... 6.943952" lamba_volume="86.252"/>
      <iteration number="8" duration="0.043" compliance="24.2030270872602" volume="0.498904938975826" sub_prb_itr="28" dual_eval="0" L="-5.942952 ... 0.046459" U="0.882680 ... 6.943952" lamba_volume="76.685"/>
    </process>
  </optimization>
</cfsInfo>